Loading...
Searching...
No Matches
Magick::MontageFramed Class Reference
Inheritance diagram for Magick::MontageFramed:

## Public Member Functions

void | matteColor (const Color &matteColor_)
Color | matteColor (void) const
void | borderColor (const Color &borderColor_)
Color | borderColor (void) const
void | borderWidth (size_t borderWidth_)
size_t | borderWidth (void) const
void | frameGeometry (const Geometry &frame_)
Geometry | frameGeometry (void) const
void | updateMontageInfo (MagickCore::MontageInfo &montageInfo_) const
Public Member Functions inherited from Magick::Montage
void | backgroundColor (const Color &backgroundColor_)
Color | backgroundColor (void) const
void | compose (CompositeOperator compose_)
CompositeOperator | compose (void) const
void | fileName (const std::string &fileName_)
std::string | fileName (void) const
void | fillColor (const Color &fill_)
Color | fillColor (void) const
void | font (const std::string &font_)
std::string | font (void) const
void | geometry (const Geometry &geometry_)
Geometry | geometry (void) const
void | gravity (GravityType gravity_)
GravityType | gravity (void) const
void | label (const std::string &label_)
std::string | label (void) const
void | pointSize (size_t pointSize_)
size_t | pointSize (void) const
void | shadow (bool shadow_)
bool | shadow (void) const
void | strokeColor (const Color &stroke_)
Color | strokeColor (void) const
void | texture (const std::string &texture_)
std::string | texture (void) const
void | tile (const Geometry &tile_)
Geometry | tile (void) const
void | title (const std::string &title_)
std::string | title (void) const
void | transparentColor (const Color &transparentColor_)
Color | transparentColor (void) const

## Private Attributes

Color | _matteColor
Color | _borderColor
size_t | _borderWidth
Geometry | _frame

## Detailed Description

Definition at line 119 of file Montage.h.

## Constructor & Destructor Documentation

## MontageFramed()

Magick::MontageFramed::MontageFramed | ( | void |  | ) |

Definition at line 235 of file Montage.cpp.

: _matteColor("#bdbdbd"),
_borderColor("#dfdfdf"),
_borderWidth(0),
_frame()
{
}

## ~MontageFramed()

Magick::MontageFramed::~MontageFramed | ( | void |  | ) |

Definition at line 243 of file Montage.cpp.

{
}

## Member Function Documentation

## borderColor() [1/2]

void Magick::MontageFramed::borderColor | ( | const Color & | borderColor_ | ) |

Definition at line 257 of file Montage.cpp.

{
_borderColor=borderColor_;
}

## borderColor() [2/2]

Magick::Color Magick::MontageFramed::borderColor | ( | void |  | ) | const

Definition at line 262 of file Montage.cpp.

{
return(_borderColor);
}

## borderWidth() [1/2]

void Magick::MontageFramed::borderWidth | ( | size_t | borderWidth_ | ) |

Definition at line 267 of file Montage.cpp.

{
_borderWidth=borderWidth_;
}

## borderWidth() [2/2]

size_t Magick::MontageFramed::borderWidth | ( | void |  | ) | const

Definition at line 272 of file Montage.cpp.

{
return(_borderWidth);
}

## frameGeometry() [1/2]

void Magick::MontageFramed::frameGeometry | ( | const Geometry & | frame_ | ) |

Definition at line 277 of file Montage.cpp.

{
_frame=frame_;
}

## frameGeometry() [2/2]

Magick::Geometry Magick::MontageFramed::frameGeometry | ( | void |  | ) | const

Definition at line 282 of file Montage.cpp.

{
return(_frame);
}

## matteColor() [1/2]

void Magick::MontageFramed::matteColor | ( | const Color & | matteColor_ | ) |

Definition at line 247 of file Montage.cpp.

{
_matteColor=matteColor_;
}

## matteColor() [2/2]

Magick::Color Magick::MontageFramed::matteColor | ( | void |  | ) | const

Definition at line 252 of file Montage.cpp.

{
return(_matteColor);
}

## updateMontageInfo()

void Magick::MontageFramed::updateMontageInfo | ( | MagickCore::MontageInfo & | montageInfo_ | ) | const

virtual

Reimplemented from Magick::Montage.

Definition at line 287 of file Montage.cpp.

{
// Do base updates
Montage::updateMontageInfo(montageInfo_);
// matte_color
montageInfo_.matte_color = _matteColor;
// border_color
montageInfo_.border_color=_borderColor;
// border_width
montageInfo_.border_width=_borderWidth;
// frame
if (_frame.isValid())
Magick::CloneString(&montageInfo_.frame,_frame);
}

## Field Documentation

## _borderColor

Color Magick::MontageFramed::_borderColor

private

Definition at line 152 of file Montage.h.

## _borderWidth

size_t Magick::MontageFramed::_borderWidth

private

Definition at line 153 of file Montage.h.

## _frame

Geometry Magick::MontageFramed::_frame

private

Definition at line 154 of file Montage.h.

## _matteColor

Color Magick::MontageFramed::_matteColor

private

Definition at line 151 of file Montage.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Montage.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Montage.cpp